# DSFX Internals

Welcome, friend! You are viewing the DSFX internal documentation. If you want to _use_
DSFX, you don't need to read this and could head straight to our user-level docs [here](https://koti.casa/numenor-labs/dsfx/src/branch/main/docs/README.md).

If you want to learn how DSFX works inside, here's what we got:

- [Axioms](../axioms.md) is _the_ style guide, and more. This is the philosophy underlining
  all the code here!
- [commit strategy](./commits.md) is the guide for writing commit messages that follow the Conventional Commits
  specification.
- [handshake](./handshake.md) is the protocol for establishing a secure connection between two parties.
