# DSFX

This is the documentation for DSFX, the next generation decentralized file exchange.

## Overview

- [Axioms](./axioms.md) is our style guide, which outlines our design philosophy and coding standards.
- [Hosting](./hosting.md) gets you started with your own DSFX server.
- [Administration](./administration.md) shows you how to manage your DSFX server and its users.
- [Operating](./operating.md) covers the usage of the dsfx client to securely upload and download files.

These docs are targeted at the users of DSFX. If you want to understand how it
works under the hood, check out the [internals docs](./internals/README.md).
